Skip to main content
GET
Get Assistant

Path Parameters

assistant_id
string
required

Response

Successful Response

Assistant entity model

assistant_id
string
required

Unique identifier for the assistant.

name
string
required

Human-readable name of the assistant.

graph_id
string
required

Identifier of the graph this assistant executes.

user_id
string
required

Identifier of the user who owns this assistant.

version
integer
required

The version of the assistant.

created_at
string<date-time>
required

Timestamp when the assistant was created.

updated_at
string<date-time>
required

Timestamp when the assistant was last updated.

description
string | null

Optional description of the assistant's purpose.

config
Config · object

Configuration passed to the graph at runtime.

context
Context · object

Context variables available to the graph during execution.

metadata_dict
Metadata Dict · object

Arbitrary metadata for searching and filtering.